#!/usr/bin/perl -w
## -*-cperl-*-
## CQPDemo: HTML forms for CQP and CEQL queries

use lib '.';
use My::Config;
use My::Param;
use My::Forms;

use CGI qw/:standard *table *Tr *td *form/;

$mode = My::Param::Get("mode");
$simple = $mode eq "simple";

$css = $My::Config::CSSDir;
$base = $My::Config::BaseDir;

$dash = ' &ndash; ';
$space = ' &nbsp;&nbsp; ';

print header,
  start_html(-title => ($simple ? "CQPDemo: Simple Query" : "CQPDemo: CQP Query"),
             -style => { -src => "$css/standard.css" }),
  "\n";

print start_table({-width => '100%', class => "header"}), 
  start_Tr, start_td({-align => "left"});
if ($simple) {
  print a({-href => "$base/../cqpdemo.html", -target => "_top"}, "Home"), $dash;
  print a({-href => "form-query.pl?mode=cqp"}, "CQP Mode"), $dash;
  print b({-class => "brightred"}, "Simple Query"), $dash;
  print a({-href => "form-wordlist.pl"}, "Word List"), $dash;
  print a({-href => "$base/help-simple.html", -target => "kwic"}, "Help Page");
}
else {
  print a({-href => "$base/../cqpdemo.html", -target => "_top"}, "Home"), $dash;
  print b({-class => "brightred"}, "CQP Mode"), $dash;
  print a({-href => "form-query.pl?mode=simple"}, "Simple Query"), $dash;
  print a({-href => "form-wordlist.pl"}, "Word List"), $dash;
  print a({-href => "$base/help-cqp.html", -target => "kwic"}, "Help Page");
}
print end_td, 
  td({-align => "right"}, "Corpus: ", b({-class => "blue"},
    code(escapeHTML($My::Config::CorpusBase . join("/", @My::Config::Languages))))),
  end_Tr, end_table, "\n";

print 
  start_form(-method => "POST", -action => "display.pl", -target => "kwic"),
  My::Forms::Hidden("mode"),
  start_table, start_Tr;

print td({-align => "left", -valign => "top"},
         textarea(-name => "query", 
                  -default => "", 
                  -rows => 3, -cols => 60),
        ), "\n";

My::Param::Set("sort_fold", 1); # check box defaults to normalised sorting and frequency lists
print start_td({-align => "right", -valign => "top"}),
  start_table, start_Tr,
  td({-align => "right", -nowrap => undef}, "lang = "), 
  td(My::Forms::PopupMenu("language")),
  td($space),
  td(submit(-name => "action", -value => "Run Query")),
  td({-align => "right"}, reset(-value => "Reset Form")), 
  end_Tr, "\n",
  start_Tr,
  td({-align => "right", -nowrap => undef}, ($mode eq "simple") ? "mode = " : ""), 
  td(($mode eq "simple") ? My::Forms::PopupMenu("casefold") : ""),
  td($space),
  td(submit(-name => "action", -value => "Frequencies")),
  td(submit(-name => "action", -value => "Distribution")),
  end_Tr, "\n", 
  end_table, "\n";
print end_td, end_Tr, end_table, "\n";

foreach $lang (map {lc} @My::Config::Languages) {
        My::Param::Set("show_$lang", 1);  # by default, all languages are displayed
}
print p(b("Display:"), $space, My::Forms::DisplayOptions(), 
          $space x 3, b("sort order:"), $space,
          My::Forms::PopupMenu("sort"), $space, "by", $space, My::Forms::PopupMenu("attribute"),
          My::Forms::Checkbox("sort_fold", "normalised"),
       ), "\n";

unless ($simple) {
  print p(
          b("Keyword:"), $space,
          My::Forms::Checkbox("keyword"), ' &nbsp; ',
          My::Forms::PopupMenu("keyword_strategy"),
          "[", textfield(-name => "keyword_cond", -size => 30, -default => ""), "]",
          "within",
          My::Forms::PopupMenu("keyword_dir"),
          My::Forms::PopupMenu("keyword_size"),
          "from",
          My::Forms::PopupMenu("keyword_base"),
          My::Forms::Checkbox("keyword_inclusive", "inclusive"),
         ), "\n";
}

print end_html, "\n";

exit 0;
