#!/usr/bin/perl -w
## -*-cperl-*-
## CQPDemo: HTML forms for word frequency lists and other corpus tools

use lib '.';
use My::Config;
use My::Param;
use My::Forms;

use CGI qw/:standard *table *Tr *td *form/;

$css = $My::Config::CSSDir;
$base = $My::Config::BaseDir;
$img = $My::Config::ImgDir;

$dash = ' &ndash; ';
$space = ' &nbsp;&nbsp; ';

print header,
  start_html(-title => "CQPDemo: Corpus Tools",
             -style => { -src => "$css/standard.css" }),
  "\n";

print start_table({-width => '100%', class => "header"}), 
  start_Tr, start_td({-align => "left"});
print a({-href => "$base/../cqpdemo.html", -target => "_top"}, "Home"), $dash;
print a({-href => "form-query.pl?mode=cqp"}, "CQP Mode"), $dash;
print a({-href => "form-query.pl?mode=simple"}, "Simple Query"), $dash;
print b({-class => "brightred"}, "Word List"), $dash;
print a({-href => "$base/help-wordlist.html", -target => "kwic"}, "Help Page");
print end_td, 
  td({-align => "right"}, "Corpus: ", b({-class => "blue"},
    code(escapeHTML($My::Config::CorpusBase . join("/", @My::Config::Languages))))),
  end_Tr, end_table, "\n";


# slightly complicated way of producing a nicely formatted separator bar
# print p({-class => "separator", -align => "center", -width => '100%'},
#       img({-src => "$img/separator.gif", -width => '100%', -height => "5", -border => 0, -alt => "[separator]"})
#       ), "\n";

My::Param::Set("tool", "wordlist");
foreach $lang (map {lc} @My::Config::Languages) {
        My::Param::Set("show_$lang", 1);  # by default, all languages are displayed
}

print 
  start_form(-method => "POST", -action => "wordlist.pl", -target => "kwic"),
  table(Tr(td({-align => "left", -valign => "top", -nowrap => undef},
              My::Forms::Hidden("tool"),
              b("Word list for"), br(), My::Forms::PopupMenu("language")),
           td({-width => 20}, '&nbsp;'),
           td({-align => "left", -valign => "bottom"},
              'attribute&nbsp;=&nbsp;'.My::Forms::PopupMenu("attribute"), $space,
              'sort&nbsp;=&nbsp;'.My::Forms::PopupMenu("wlsort"), My::Forms::PopupMenu("wlfold"), br(),
              'filter&nbsp;=&nbsp;'.textfield(-name => "wlfilter", -size => 20, -default => "*"), $space,
              My::Forms::PopupMenu("casefold"), $space,
              'f&nbsp;&gt;=&nbsp;', My::Forms::PopupMenu("wlcutoff"),
             ),
           td({-width => 50}, '&nbsp;'),
           td({-align => "right", -valign => "bottom"}, 
              submit(-name => "action", -value => "Make Word List"), br(),
              reset(-value => "Reset"),
              )),
                Tr(td(), td(), td({-colspan => 3}, "examples display: ", My::Forms::DisplayOptions()), td()),
          ),
  end_form,
  "\n";

# slightly complicated way of producing a nicely formatted separator bar
# print p({-class => "separator", -align => "center", -width => '100%'},
#       img({-src => "$img/separator.gif", -width => '100%', -height => "5", -border => 0, -alt => "[separator]"})
#       ), "\n";

print end_html, "\n";

exit 0;
